## DBM-Optionen

### Verwendung

Beim Aufrufen des Database Manager CLI können Sie mehrere DBM-Optionen und genau ein DBM-Kommando angeben.

Zu vielen der DBM-Optionen können Sie optional Parameter angeben. Wenn Sie diese nicht angeben, werden Vorschlagswerte verwendet.

Wenn Sie DBM-Optionen mit Parametern angeben, müssen Sie den Beginn des nachfolgenden DBM-Kommandos mit der DBM-Option –c kennzeichnen. Auf diese Weise vermeiden Sie, dass der Database Manager das nachfolgende DBM-Kommando als Parameter der zuvor angegebenen DBM-Option interpretiert.

Siehe auch:

Aufrufen des Database Manager CLI

### Funktionsumfang

Folgende DBM-Optionen stehen zur Verfügung:

Option | Beschreibung
-c | Kennzeichnen als DBM-Kommando
-d | Name der Datenbankinstanz
-e | Verschlüsselung aktivieren
-i | -ic | -is | -ics | Name des Eingabeskripts
-n | Name des Datenbankrechners
-o | Name der Ausgabedatei
-R | Installationsverzeichnis der Datenbankinstanz
-t | Name der Protokolldatei
-uSQL | Eröffnen einer SQL-Sitzung
-uSRV | Eröffnen einer Servicesitzung
-uUTL | Eröffnen einer Utility-Sitzung
-ud | Löschen von XUSER-Einträgen
-uk | Benutzerschlüssel
-us | Anlegen oder Ändern von XUSER-Einträgen
-ux | Anmelden an das Programm XUSER
-ul | Anzeigen von XUSER-Daten

### Beispiel

Anmelden an den Database Manager CLI als Benutzer OLEG mit dem Kennwort MONDAY, Herstellen der Verbindung zur Datenbankinstanz DEMODB, Anzeigen des Inhalts der Datenbank-Systemtabelle users ohne explizite Angabe eines Datenbankbenutzers.

Mit der Option –c markieren Sie den Beginn des DBM-Kommandos. Für den Datenbankbenutzer wird der Vorschlagswert (Datenbanksystemadministrator) verwendet.

dbmcli -u OLEG,MONDAY -d DEMODB -uSQL –c db_execute SELECT * FROM users

OK
END

'OLEG';'';'OLEG';'ADMIN';'MULTIPLE';(null);(null);(null);'DEFAULT';'20050602';'0

0104503';'20050602';'00104503';'20050602';'00104503';'DEMODB';'p59963.dhcp.ber.s

ap.corp';0;'NO';(null)

'DBADMIN';'';'DBSERVICE';'DBA';'MULTIPLE';(null);(null);(null);'DEFAULT';'200506

02';'00104508';'20050602';'00104508';'20050602';'00104508';'DEMODB';'p59963.dhcp

.ber.sap.corp';6;'YES';(null)

'DBADMIN';'';'DBADMIN';'SYSDBA';'MULTIPLE';(null);(null);(null);'DEFAULT';'20050

602';'00104503';'20050602';'00104506';'20050602';'00104503';'DEMODB';'p59963.dhc

p.ber.sap.corp';10;'NO';(null)

'DBADMIN';'';'MONA';'DBA';'MULTIPLE';(null);(null);(null);'DEFAULT';'20050602';'

00104523';'20050602';'00104523';'20050602';'00104523';'DEMODB';'p59963.dhcp.ber.

sap.corp';24;'NO';(null)